import { Injectable } from '@angular/core';
import { DeltagareExportRequest } from '@msfa-models/api/deltagare-export.request.model';
import { Export } from '@msfa-models/export.model';
import { ExportApiService } from '@msfa-services/api/export.api.service';
import { Observable } from 'rxjs';

@Injectable()
export class DeltagareExportService {
  constructor(private exportApiService: ExportApiService) {}

  public fetchExportFile$(requestData: DeltagareExportRequest): Observable<Export> {
    return this.exportApiService.fetchDeltagareExportFile$(requestData);
  }
}
